﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>CustomValidator 클래스를 사용해 사용자 정의 검증하기</title>
        <script>    
            function ValidateOddNumber(source, args)
            {
                if(parseInt(args.Value) % 2 == 1)
                {
                    args.IsValid = true;
                }
                else
                {
                    args.IsValid = false;
                }
            }
        </script>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <h3>사용자 정의 검증 검사 컨트롤</h3>
                짝수만 입력 :
                <asp:TextBox ID="evenNumberTextBox" runat="server" />
                <asp:CustomValidator ID="evenNumberCustomValidator" runat="server" 
                    ControlToValidate="evenNumberTextBox"
                    ErrorMessage="짝수만 입력해 주시기 바랍니다."
                    OnServerValidate="evenNumberCustomValidator_ServerValidate">
                </asp:CustomValidator>
                <br />
                홀수만 입력 :
                <asp:TextBox ID="oddNumberTextBox" runat="server"></asp:TextBox>
                <asp:CustomValidator ID="oddNumberCustomValidator" runat="server" 
                    ControlToValidate="oddNumberTextBox"
                    ErrorMessage="홀수만 입력해 주시기 바랍니다."
                    ClientValidationFunction="ValidateOddNumber">
                </asp:CustomValidator>            
                <hr />
                <asp:Button ID="okButton" runat="server" Text="확인" />
            </div>
        </form>
    </body>
</html>